FROM nextcloud:{{ nextcloud_version }}-fpm-alpine

RUN apk update && apk add --no-cache ffmpeg bzip2-dev imagemagick imagemagick-dev 

RUN pecl install imagick; \
    docker-php-ext-enable imagick; \
    docker-php-ext-install bz2

RUN cat $PHP_INI_DIR/conf.d/opcache-recommended.ini \
        | sed 's/opcache\.memory_consumption.*//g' \
        | sed 's/opcache\.memory_consumption.//g' \
        | sed 's/opcache\.jit_buffer_size.*//g' \
        | tr -s '\n' > $PHP_INI_DIR/conf.d/opcache-recommended.ini && \
    { \
        echo 'opcache.memory_consumption={{ nc_opcache_memory_consumption }}'; \
        echo 'opcache.jit_buffer_size={{ nc_opcache_jit_buffer_size }}'; \
    } >> "${PHP_INI_DIR}/conf.d/opcache-recommended.ini"


RUN echo "0 4 * * * php -f /var/www/html/occ preview:pre-generate" >> /etc/crontabs/www-data

RUN echo "0 3 * * * php -f /var/www/html/occ db:add-missing-indices" >> /etc/crontabs/www-data

RUN echo "0 2 * * * php -f /var/www/html/occ app:update --all" >> /etc/crontabs/www-data
